rpcdebug(8)

NOM
rpcdebug - Activer et supprimer les drapeaux de débogage du noyau pour NFS et RPC

SYNOPSIS
rpcdebug -vh
rpcdebug -m module
rpcdebug -m module -s flags...
rpcdebug -m module -c flags...

DESCRIPTION
La commande rpcdebug permet à l'administrateur d'activer ou supprimer les drapeaux de débogage du noyau du serveur et du client NFS. La définition de ces drapeaux entraîne l'émission par le noyau de messages à destination du système de journalisation (« logs ») en rapport avec l'activité NFS. Ceci est très pratique lors du débogage de problèmes NFS.

La première forme du synopsis peut servir à lister l'ensemble des drapeaux de débogage disponible. La deuxième forme affiche les drapeaux de débogage actuellement définis pour le module indiqué. La troisième forme définit un ou plusieurs drapeaux, et la quatrième supprime un ou plusieurs drapeaux.

La valeur all peut servir à activer ou supprimer tous les drapeaux du module indiqué.

OPTIONS

-c  Supprimer les drapeaux de débogage indiqués.

-h  Afficher un message d'aide et terminer. Si combinée à l'option -v, afficher aussi les drapeaux de débogage disponibles.

-m module
    Définir les drapeaux de modules à activer ou à supprimer. Les modules disponibles sont :

    nfsd
        Le serveur NFS.

    nfs Le client NFS.

    nlm Le gestionnaire de verrous réseau (« Network Lock Manager »), que ce soit pour le client ou le serveur NFS.

    rpc Le module appel de procédures distantes (« Remote Procedure Call »), que ce soit pour le client ou le serveur NFS.

-s  Activer les drapeaux de débogage indiqués.

-v  Augmenter la verbosité de la sortie de rpcdebug.

FICHIERS

/proc/sys/sunrpc/{rpc,nfs,nfsd,nlm}_debug
    Interface vers les drapeaux de débogage du noyau basé sur le système de fichiers procfs.

VOIR AUSSI
rpc.nfsd(8), nfs(5), syslogd(8).

BOGUES
Les bogues peuvent être consultés ou signalés sur http://nfs.sf.net/.

AUTEUR
Le programme est d'Olaf Kirch <okir@suse.de> et de <frederic.jolly@bull.ext.net>. La page de manuel par Greg Banks <gnb@melbourne.sgi.com>.

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Sylvain Cherrier <sylvain DOT cherrier AT free DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org> depuis 2006. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.